Rotacionar o push_token de uma registration existente
curl --request PATCH \
--url http://0.0.0.0:3000/v1/voip/push-registrations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"push_token": "novoTokenHex..."
}
'import requests
url = "http://0.0.0.0:3000/v1/voip/push-registrations/{id}"
payload = { "push_token": "novoTokenHex..." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({push_token: 'novoTokenHex...'})
};
fetch('http://0.0.0.0:3000/v1/voip/push-registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"voip_account_id": 42,
"config_entry_id": 128,
"org_id": "org_xyz",
"platform": "ios",
"push_token": "a3f9c2...",
"bundle_id": "com.unicontrol.portal",
"environment": "production",
"created_at": "2026-09-25T10:00:00Z",
"updated_at": "2026-09-25T10:00:00Z"
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}{
"message": "not found"
}VoIP
Rotacionar o push_token de uma registration existente
PATCH
/
v1
/
voip
/
push-registrations
/
{id}
Rotacionar o push_token de uma registration existente
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
ID da organização para contexto (opcional). Quando presente, filtra recursos da org.
Path Parameters
ID da push registration
Body
application/json
Novo token (didUpdatePushCredentials)
Response
Token atualizado